Section: base-python

Depends: bzip2, expat, gdbm, libffi, mpdecimal, openssl, sqlite, tk, xz, zlib

Depends [armel]: bzip2, expat, gdbm, libffi, mpdecimal, openssl, sqlite, xz, zlib

Depends [armhf]: bzip2, expat, gdbm, libffi, mpdecimal, openssl, sqlite, xz, zlib

Depends [i486]: bzip2, expat, gdbm, libffi, mpdecimal, openssl, sqlite, xz, zlib

Depends [loongson2f]: bzip2, expat, gdbm, libffi, mpdecimal, openssl, sqlite, xz, zlib

Depends [powerpc]: bzip2, expat, gdbm, libffi, mpdecimal, openssl, sqlite, xz, zlib

Depends [ppc64]: bzip2, expat, gdbm, libffi, mpdecimal, openssl, sqlite, xz, zlib

Depends [retro]: bzip2, expat, gdbm, libffi, mpdecimal, openssl, sqlite, xz, zlib

Depends (build): bluez, gdb, valgrind, xorg-server

Replaces: python-3.5<=3.5.1

Breaks: abseil-py<=0.7.0, accerciser<=3.36.0, aiozmq<=0.7.1-1, alabaster<=0.7.12-1, android-platform-tools<=29.0.5-1, appdirs<=1.4.3-1, april<=2.0.1-1, apsw<=3.30.1, apt-gen-list<=20191114, argparse<=1.4.0-1, asn1crypto<=0.24.0-1, astor<=0.7.1, astroid<=2.1.0-2, atomicwrites<=1.3.0-1, attrs<=18.2.0-1, autobahn<=19.2.1-1, automat<=0.7.0-1, babel<=2.6.0-1, backcall<=0.1.0-1, backports-abc<=0.5-1, backports-functools-lru-cache<=1.5-1, backports.csv<=1.0.7, bcloud<=3.9.4-1, bcrypt<=3.1.7, beaker<=1.10.0-2, beancount<=2.2.1-1, beautifulsoup4<=4.7.1-2, bilidan<=20170703-1, binwalk<=2.1.1-3, blessings<=1.7-1, blinker<=1.4-3, blueman<=2:2.1.1, boost<=1:1.67.0-4, borgbackup<=1.1.8-2, bottle<=0.12.18, bpython<=0.17.1-1, breathe<=4.11.1-1, brltty<=6.0, brotli<=1.0.7-2, brotlipy<=0.7.0-1, cachetools<=3.1.0-1, caffe-opencl<=20190301-2, cairo-dock-plugins<=1:3.4.1-10, cairocffi<=1.0.2-1, capstone<=4.0.1-1, carla<=1:2.0.0+git20200207, catfish<=1.4.13, certifi<=2018.11.29-1, cffi<=1.12.1-1, characteristic<=14.3.0-4, chardet<=3.0.4-1, cheetah3<=3.2.4, cherrypy<=18.1.0-1, cjkwrap<=2.2, clamtk<=5.27, cli-helpers<=1.1.0-1, click<=7.0-1, cloudpickle<=0.8.0-1, colorama<=0.4.3, commonmark<=0.8.1-1, compiz<=0.9.14.1, configargparse<=0.14.0-1, configobj<=5.0.6-3, constantly<=15.1.0-1, construct<=2.9.45-1, cryptography<=2.5-2, cryptominisat2<=5.6.6-2, curtsies<=1:0.3.1, cutter<=1.7.4-4, cvxopt<=1.2.4, cycler<=0.10.0-3, cymem<=2.0.3, cymruwhois<=1.6-1, cysignals<=1.9.0-1, cython<=0.29.15, d2to1<=0.2.12.post1-3, danmaku2ass<=20170730, dateutil<=2.7.3-1, dbus-python<=1.2.16, deap<=1.2.2-2, decorator<=4.3.2-1, defusedxml<=0.5.0-1, devhelp<=3.36.0, dex<=0.8.0, diff-match-patch<=20121119, distcc<=3.3-1, distorm<=3.4.1-1, distro<=1.4.0, django<=3.0.3, django-htmlmin<=0.10.0-3, dnsdiag<=1.6.4-1, dnspython<=1.16.0-1, docopt<=0.6.2-1, docutils<=1:0.14-1, doxyqml<=0.5.0-1, entrypoints<=0.3-1, et-xmlfile<=1.0.1-2, eyed3<=0.8.9-1, fasteners<=0.14.1-1, feedparser<=5.2.1-2, feeluown<=1:1.1.1-1, fido2<=0.5.0-1, file<=5.38, flask<=1:1.1.1, flask-autoindex<=0.6-1, flask-babel<=0.12.2-1, flask-gravatar<=0.5.0-1, flask-login<=0.4.1-1, flask-mail<=0.9.1-2, flask-oldsessions<=0.10-1, flask-openid<=1.2.5-1, flask-principal<=0.4.0-2, flask-security<=3.0.0-1, flask-silk<=0.2-1, flask-sqlalchemy<=2.3.2-1, flask-wtf<=0.14-1, flent<=1.3.2, fonttools<=4.2.2, fpylll<=0.5.1dev, frescobaldi<=3.0.0-3, fuocore<=2.3-1, future<=0.17.0-1, fuzzywuzzy<=0.17.0-1, fwupd<=1.3.8, gajim<=1.1.3, gast<=0.2.2, gaupol<=1.7, gcr<=3.36.0, gdal<=3.0.2, gedit<=3.36.0, gexiv2<=0.12.0-1, git-archive-all<=1.20.0, gitg<=3.32.1, glade<=3.22.1-1, glances<=3.1.3, gmpy2<=2.0.8-1, gnome-builder<=3.36.0, gnome-music<=3.36.0, gnome-shell<=3.36.0, gnome-tweaks<=3.34.0, gobject-introspection<=1.64.0, gom<=0.3.3-2, google-api-python-client<=1.7.11, google-auth<=1.6.3-1, google-auth-httplib2<=0.0.3-1, gpgme<=1.12.0-3, gpodder<=3.10.13, greenlet<=0.4.15-3, gst-plugins-bad-1-0<=1.16.2, gst-plugins-bad-1-0+32<=1.16.2, gst-plugins-good-1-0<=1.16.2, gst-plugins-ugly-1-0<=1.16.2, gst-python-1-0<=1.16.2, gtkspellcheck<=4.0.5-1, guake<=3.6.3, h5py<=2.9.0-1, hardcode-tray<=4.3-1, hashid<=3.1.4-2, hkdf<=0.0.3-1, hplip<=2:3.19.12, html5-parser<=0.4.9, html5lib-python<=1:1.0.1-1, httpie<=1.0.3, httplib2<=0.12.1-1, hugin<=2018.0.0-1, humanize<=0.5.1-1, hyper-h11<=0.8.1-1, hyper-h2<=3.1.0-1, hyperframe<=5.2.0-1, hyperlink<=19.0.0, i3ipc-python<=1.6.0-1, icdiff<=1.9.4, icestorm<=0+git20190311-2, idna<=2.8-1, imagesize<=1.1.0-1, img2pdf<=0.3.3-1, incremental<=17.5.0-1, iniparse<=0.4-4, intel-gpu-tools<=1.23, ipaddress<=1.0.23, ipykernel<=5.1.4, ipython<=7.11.1, ipython-genutils<=0.2.0-1, isodate<=0.6.0-1, isort<=4.3.21, itsdangerous<=1.1.0-1, ixion<=0.14.1-2, jdcal<=1.4-1, jedi<=0.13.3-1, jellyfish<=1:0.6.0, jieba<=0.39-1, jinja2<=2.10.3, josepy<=1.1.0-1, jupyter-client<=5.2.4-1, jupyter-core<=4.4.0-1, kazam<=1.4.5-6, keras<=2.2.4-1, keras-applications<=1.0.8, keras-preprocessing<=1.0.9, keyring<=18.0.0-1, keystone<=0.9.1, kitchen<=1.2.6, kitty<=0.13.3-1, kiwisolver<=1.0.1-2, konversation<=1.7.5, lazy-object-proxy<=1.3.1-1, ldb<=2:1.5.6, levenshtein<=0.12.0-2, libaccounts-glib<=1.24-1, libblockdev<=2.23, libbytesize<=2.1, libcap-ng<=0.7.10, libforensic1394<=0.2-2, libgit2-glib<=0.28.0.1, libgpuarray<=0.7.6-1, libibus<=1.5.21, liblouis<=3.12.0, liborcus<=0.14.1-2, libplist<=2.0.0-2, libpst<=0.6.74, libratbag<=0.11, libreoffice<=6.3.4.2, libsignon-glib<=2.1-1, libsigrokdecode<=0.5.3, libsmbios<=2.4.3, libsolv<=0.7.11, libsoup<=2.70.0, libstoragemgmt<=1.7.3-3, libvirt-python<=5.0.0-1, libvoikko<=4.3, libvshadow<=20190127-1, libxml2<=2.9.10, lightdm-gtk-greeter-settings<=1.2.2-1, link-grammar<=5.7.0, lirc<=0.9.4d-8, llfuse<=1.3.6-1, lollypop<=1.2.16, lutris<=0.5.4, luxrender<=1.6-5, lvm2<=2.03.08, lxc<=3.2.1, lxml<=4.3.1-1, m2crypto<=0.31.0-2, magic-wormhole<=0.11.2-1, mako<=1.0.7-1, markdown<=3.0.1-1, markdown2<=2.3.8, markupsafe<=1.1.1-1, marshmallow<=2.18.1-1, mate-hud<=19.10.1, mate-tweak<=19.10.4-1, matplotlib<=3.0.2-2, mccabe<=0.6.1-1, mechanize<=0.4.5, meld<=3.20.2, menumaker<=0.99.10-1, meson<=0.52.1, mitmproxy<=4.0.4-1, mock<=2.0.0-3, mono<=6.0.0.334, monotonic<=1.5-2, more-itertools<=4.3.0-1, mozo<=1.24.0, mpi4py<=3.0.3, mpmath<=1.1.0-1, mugshot<=0.4.1-2, munkres<=1:1.0.12, murmurhash<=1.0.2-2, musicbox<=20190901, mutagen<=1.43.0, mxnet<=1.4.0-2, mycli<=1.19.0-1, mygpoclient<=1.8, nbxmpp<=0.6.10, ndg-httpsclient<=0.5.1-2, neomutt<=20191207, netaddr<=0.7.19-1, newt<=0.52.21, nextpnr<=0+git20190313-2, nfs-utils<=2.4.2, nose<=1.3.7-6, notmuch<=0.29.3, nuitka<=0.6.7, numpy<=1.16.3-1, nvchecker<=1.5, oauthlib<=3.0.1-1, ocrmypdf<=9.2.0, olefile<=0.46-1, onboard<=1.4.1-2, opencv<=4.1.2, openmpi<=2.1.6, openpyxl<=2.6.0-1, orca<=3.36.1, owslib<=0.17.1-1, packagekit<=1.1.13, paramiko<=2.7.1, parsedatetime<=2.4-1, parso<=0.3.3-1, passlib<=1.7.2, pastebinit<=1.5, path.py<=11.5.0-1, pathlib<=1.0.1-4, pexpect<=4.6.0-1, pickleshare<=0.7.5-2, pid<=2.2.5, pikepdf<=1.8.1, pillow<=6.2.1, pip<=19.0.3-1, piper<=0.3, plac<=1.0.0-1, pluggy<=0.9.0-1, ply<=3.11-1, podcastparser<=0.6.4, polkit-efl<=20150104-2, ponysay<=3.0.3, portmidi<=217-2, powerline<=2.7-2, preshed<=2.0.1-2, prettytable<=0.7.2-5, prompt-toolkit<=2.0.8-1, protobuf<=3.4.1-2, psycopg2<=2.7.7-1, ptyprocess<=0.6.0-1, pulp<=1.6.9-1, py<=1.8.1, pyasn1-modules<=0.2.8, pyatspi<=2.32.1, pyaudio<=0.2.11-1, pybind11<=2.2.4-1, pybluez<=0.22-2, pycairo<=1.18.2, pycdio<=2.0.0-1, pycountry<=18.12.8-1, pycparser<=2.19-1, pycryptodome<=3.7.3-1, pycryptodomex<=3.7.2-1, pycuda<=2019.1.2, pycups<=1.9.74-1, pycurl<=7.43.0.5, pydot<=1.4.1-1, pydot-ng<=2.0.0-1, pyenchant<=2.0.0-1, pyfiglet<=0.8.0-1, pyflakes<=2.1.1, pyftpdlib<=1.5.5, pygame<=1.9.6, pygattlib<=0.20150805-2, pygeoip<=1.3.2-1, pygit2<=1.0.3, pyglet<=1.3.2-1, pygments<=2.3.1-2, pygobject-2<=2.28.7-2, pygobject-3<=3.34.0, pygpgme<=0.3-5, pygraphviz<=1.5-1, pyhamcrest<=1.9.0-2, pyicu<=2.3.1, pyinotify<=0.9.6-5, pylast<=3.0.0-1, pylint<=2.2.2-1, pymarkups<=3.0.0-2, pymssql<=2.1.4-2, pymysql<=0.9.3-1, pynacl<=1.3.0-1, pynormaliz<=1.19-2, pyopencl<=2018.2-2, pyopengl<=3.1.5, pyopenssl<=19.0.0-1, pyotherside<=1.5.9, pyparsing<=2.2.0-1, pyparted<=3.11.4, pypdf2<=1.26.0-1, pypeg2<=2.15.2-1, pyperclip<=1.7.0-1, pypkgconfig<=1.4.0-1, pypng<=1:0.0.20, pyproj<=1.9.6-1, pypsutil<=5.5.1-1, pyptlib<=0.0.6-3, pyqt<=4.12-4, pyqt5<=5.13.2-1, pyqtwebengine<=5.13.1, pyradio<=1:0.8.6, pyrfc3339<=1.1-1, pyscard<=1.9.9, pyscss<=1.3.5, pysendfile<=2.0.1-1, pyserial<=3.4-1, pyside<=1.2.4-7, pysmbc<=1.0.18, pysocks<=1.6.8-1, pyte<=0.8.0-1, pytest<=4.3.0-1, python-3.5<=3.5.1, python-augeas<=1.0.3-1, python-base<=0, python-cssselect<=1.0.3-1, python-distutils-extra<=2.39-3, python-efl<=1.22.0, python-evdev<=1.1.2-2, python-gflags<=3.1.2-1, python-hglib<=2.6.1-1, python-hpack<=3.0.0-1, python-kaitaistruct<=0.8-1, python-ldap3<=2.5.1-1, python-ly<=0.9.6, python-lz4<=2.1.6-1, python-markdown-math<=0.6, python-msgpack<=0.5.6-2, python-neovim<=0.3.2-1, python-pam<=1.8.4-2, python-pinyin<=0.36.0, python-poppler-qt5<=0.25.3-4, python-simplemediawiki<=1.2.0b2-1, python-tabulate<=0.8.3-1, python-xapp<=1.4.0-1, python-xlib<=0.26, python-xmp-toolkit<=2.0.1-2, pytmx<=3.21.5-1, pytools<=2019.1-1, pytz<=2019.1, pyudev<=0.21.0-1, pyusb<=1.0.2-2, pyuv<=1.4.0-1, pywbem<=0.13.0-1, pyx<=0.14.1-3, pyxdg<=0.25-5, pyyaml<=1:5.2, pyzmq<=18.0.0-1, qscintilla<=2.11.1-1, quamash<=0.6.1-2, quodlibet<=4.2.1-1, qutebrowser<=1.6.0-1, random2<=1.0.1-1, ranger<=1.9.2-2, rdflib<=4.2.2-1, recommonmark<=20180907-1, redshift<=1.12-1, regex<=2019.02.21-1, reglookup<=1.0.1-2, remarkable<=1.87-1, reportlab<=3.5.34, requests<=2.21.0-1, requests-cache<=0.5.2, retext<=7.0.4-3, rm-protection<=0.1.3-1, rmlint<=2.9.0, rpatool<=20170509, rpm<=4.14.2.1-1, rsa<=4.0-1, ruamel-ordereddict<=0.4.14, ruamel-yaml<=0.15.78-1, ruffus<=2.8.3, s-tui<=0.8.3-1, samba<=4.10.10, scikit-sparse<=0.4.4-3, scipy<=1.4.1, scons<=3.0.4-1, semver<=2.8.1-1, service-identity<=18.1.0-1, setconf<=0.7.6, setuptools<=40.8.0-1, setuptools-scm<=3.2.0-1, shadowsocks<=1:20181219-1, shiboken<=1.2.4-5, shotwell<=0.30.8, simplegeneric<=0.8.1-1, simplejson<=3.16.0-1, simpy<=3.0.11-1, sip<=4.19.19, six<=1.12.0-1, snowballstemmer<=1.2.1-3, sortedcontainers<=2.1.0-1, soupsieve<=1.8.0-2, spake2<=0.8-1, speaklater<=1.3-2, speech-dispatcher<=0.8.8-1, sphinx<=1.8.3-1, sphinx-rtd-theme<=0.4.3, sphinxcontrib-websupport<=1.1.2, spread-sheet-widget<=0.3, sputnik<=0.9.3-2, sqlalchemy<=1.2.18, sqlparse<=0.2.4-1, stcgal<=1.6-1, stevedore<=1.30.0-1, structlog<=19.1.0-1, sympy<=1.3-1, system-config-printer<=1.5.11-2, talloc<=2.3.1, tdb<=1.4.3, termcolor<=1.1.0-1, terminaltables<=3.1.0-1, tevent<=0.10.2, texttable<=1.6.2, theano<=1.0.4-1, thefuck<=3.29, tldr-python-client<=0.4.4-1, toolbelt<=0.9.1-1, tornado<=5.1-1, tqdm<=4.40.2, tracker<=2.3.4, traitlets<=4.3.3, traits<=5.0.0-1, translate-toolkit<=2.3.1-2, trash-cli<=0.17.1.14-1, twisted<=18.9.0-2, txaio<=18.8.1-1, txtorcon<=19.1.0, typed-ast<=1.2.0-1, typing<=3.6.6-2, ufw<=0.36-1, ujson<=1.35-2, unidecode<=1.0.23-1, unoconv<=0.9.0, uritemplate<=3.0.1, urllib3<=1.24.3, urwid<=2.0.1-1, util-linux<=2.33.1-3, uzbl<=0.9.1, vapoursynth<=48, variety<=0.7.1-1, varnish<=6.3.1, vim<=8.2.0255, virtualenv<=16.7.9, wcwidth<=0.1.8, wheel<=0.33.1-2, whitedb<=0.7.3-5, wikipedia<=1.4.0-3, wrapt<=1.11.2, wsproto<=0.13.0-1, wtforms<=2.2.1-1, xapps<=1.6.8, xattr<=0.9.7, xcffib<=0.7.0-1, xlrd<=1.2.0-1, xlwt<=1.3.0-1, yah3c<=0.6.3-1, yapf<=0.26.0-1, yara-python<=3.9.0-1, ydcv<=0.6.2-1, you-get<=0.4.1410, youtube-dl<=2020.02.16, yubikey-manager<=3.1.0, zbase32<=1.1.5-1, zinnia<=0.07+git20160902-3, znc<=1.7.5, zope-component<=4.4.1-1, zope-event<=4.3.0-1, zope-interface<=4.6.0-1

Links: Changelog, Reverse dependency, QA Page, Report issues

Upstream: source (tarball), latest version 3.10.0

Available versions

Version 3.8.6 3.8.53.8.2-43.8.2-33.8.2-23.8.2-13.8.23.7.5-13.7.53.6.5-1
amd64 16.5MiB 16.3MiB 16.1MiB 16.1MiB 16.4MiB 16.4MiB 16.4MiB 15.0MiB 14.9MiB
arm64 16.1MiB 16.0MiB 16.0MiB 15.0MiB 15.4MiB
armel
loongson3 16.3MiB
opt-avx2-amd64
opt-avx2-noarch
opt-g4-noarch
ppc64el 16.5MiB 16.3MiB
riscv64 17.8MiB